<!doctype html>
<!--[if lt IE 7]> <html class="no-js ie6" lang="en"> <![endif]-->
<!--[if IE 7]>    <html class="no-js ie7" lang="en"> <![endif]-->
<!--[if IE 8]>    <html class="no-js ie8" lang="en"> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en"> <!--<![endif]-->
<head>
    <meta charset="utf-8" />

    <!-- Always force latest IE rendering engine (even in intranet) & Chrome Frame -->
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <title><?php bloginfo('name'); ?><?php wp_title(); ?></title>
    <meta name="keywords" content="<?php echo get_option('buby_keywords'); ?>" />
    <meta name="description" content="<?php echo get_option('buby_description'); ?>" />
    
    <!-- Mobile viewport optimized: j.mp/bplateviewport -->
 	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
    
    <!-- Rss Pingback Url -->
	<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
	<link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo('rss_url'); ?>" />
	<link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo('atom_url'); ?>" />
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
   
    <!-- JavaScript -->
    <script src="<?php bloginfo('stylesheet_directory'); ?>/js/modernizr-1.7.min.js"></script>
	<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.6/jquery.min.js"></script>
    <script src="<?php bloginfo('stylesheet_directory'); ?>/js/jquery.carouFredSel-5.6.1.js" type="text/javascript"></script>
    <script src="<?php bloginfo('stylesheet_directory'); ?>/js/slider.js" type="text/javascript"></script>
    
    <!-- Style -->
    <link href="<?php bloginfo('stylesheet_directory'); ?>/style.css" rel="stylesheet" />
    <link href="<?php bloginfo('stylesheet_directory'); ?>/slider.css" rel="stylesheet" />
    
    <link href="http://fonts.googleapis.com/css?family=Droid+Serif:regular,bold" rel="stylesheet" /> 
    
    <?php wp_get_archives('type=monthly&format=link'); ?>
    <!-- Analitics -->
	<?php if (get_option('buby_analytics') <> "") { echo stripslashes(stripslashes(get_option('buby_analytics'))); } ?>
    
	<?php wp_head(); ?> 
</head>
<body>
<div id="wrapper">

    <header id="header" class="clearfix" role="banner">
    
        <hgroup>
            <h1 id="site-title"><a href="<?php echo get_option('home'); ?>"><?php bloginfo('name'); ?></a></h1>
            <form class="search" method="get" action="<?php bloginfo('home'); ?>">
             <input type="text" class="s top-search" value="Cerca, digita e premi invio..." name="s" onBlur="if (this.value == '') {this.value = 'Cerca, digita e premi invio...';}" onFocus="if (this.value == 'Cerca, digita e premi invio...') {this.value = '';}" />
             <input type="submit" value="Search" style="visibility:hidden"/>
             
            </form>
        </hgroup>
    
    </header> <!-- #header -->
    
    <?php if ( is_home() ) { ?>
    
        <div id="wrapper-slider">
                <div id="bg"></div>
                <div id="carousel">
        
                <?php
                $specialPosts = new WP_Query();
                $specialPosts->query('showposts=3&category_name=slider');
                ?>
                
                <?php if ($specialPosts->have_posts()) : while($specialPosts->have_posts()) : $specialPosts->the_post(); ?>
            
                           <div>
                           
                                <?php if ( has_post_thumbnail() ) { ?>
                                
                                    <?php the_post_thumbnail('slider-img-front', array('class' => 'img-front')); ?>
                                    
                                <?php } ?>
                                
                                <?php global $metaBox; foreach ($metaBox['fields'] as $field) {  ?>
                                
                                    <?php	$meta = get_post_meta($post->ID, $field['id'], true); ?>
                                    <?php	echo wp_get_attachment_image( $meta, 'slider-img-back', true, array('class'	=> 'img-back'));   ?>
                                       
                                <?php } ?>    
        
                                <h3><?php echo substr(strip_tags($post->post_title), 0, 35)." ...";?></h3>
                                <p><?php echo substr(strip_tags($post->post_content), 0, 90)." ...";?></p>
                                
                                <a href="<?php the_permalink(); ?>">Continua</a>
                                
                            </div>
                            
                <?php endwhile; ?>
                <?php else : ?>
            
                        <p><?php _e('Sorry, no posts matched your criteria.'); ?></p>
            
                <?php endif; ?>
        
                </div>
                <a id="prev" href="#"><span></span></a>
                <a id="next" href="#"><span></span></a>
            </div>
        
        <?php } ?>

<div id="main" class="clearfix">

	<div id="menu-container">
	 	<?php wp_nav_menu(); ?>
	</div>

    <!-- Show a "Please Upgrade" box to both IE7 and IE6 users (Edit to IE 6 if you just want to show it to IE6 users) - jQuery will load the content from js/ie.html into the div -->
    
    <!--[if lte IE 7]>
        <div class="ie warning"></div>
    <![endif]-->